Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZProduct Member List

This is the complete list of members for eZProduct, including all inherited members.

$BoxTypeID | eZProduct |
$Brief | eZProduct |
$CatalogNumber | eZProduct |
$Contents | eZProduct |
$Description | eZProduct |
$Discontinued | eZProduct |
$ExpiryTime | eZProduct |
$ExternalLink | eZProduct |
$FlatCombine | eZProduct |
$FlatDHL | eZProduct |
$FlatUPS | eZProduct |
$FlatUSPS | eZProduct |
$ID | eZProduct |
$IncludesVAT | eZProduct |
$IsHotDeal | eZProduct |
$Keywords | eZProduct |
$ListPrice | eZProduct |
$Name | eZProduct |
$Price | eZProduct |
$ProductNumber | eZProduct |
$ProductType | eZProduct |
$RemoteID | eZProduct |
$ShippingGroupID | eZProduct |
$ShowPrice | eZProduct |
$ShowProduct | eZProduct |
$StockDate | eZProduct |
$VATTypeID | eZProduct |
$Weight | eZProduct |
__construct( $id="") | eZProduct |
activeProducts( $sortMode="time", $offset=0, $limit=50, $categoryID=false) | eZProduct |
activeProductSearch( $query=false, $offset=false, $limit=false, $active=TRUE, $sortMode="time") | eZProduct |
activeProductSearchCount( $query, $active=TRUE) | eZProduct |
addFile( $value) | eZProduct |
addForm( $form) | eZProduct |
addImage( $value, $placement=false) | eZProduct |
addOption( $value) | eZProduct |
addVAT( $price="") | eZProduct |
boxType() | eZProduct |
BoxTypeID() | eZProduct |
brief() | eZProduct |
briefPlain() | eZProduct |
catalogNumber() | eZProduct |
categories( $as_object=true) | eZProduct |
categoryDefinition( $as_object=true) | eZProduct |
contents() | eZProduct |
correctPrice( $calcVAT, $withPriceGroups=true) | eZProduct |
correctPriceRange( $calcVAT, $withPriceGroups=true) | eZProduct |
correctSavings( $calcVAT) | eZProduct |
delete() | eZProduct |
deleteFile( $value) | eZProduct |
deleteForms() | eZProduct |
deleteImage( $value) | eZProduct |
description() | eZProduct |
descriptionPlain() | eZProduct |
discontinued() | eZProduct |
excludedVAT() | eZProduct |
existsInCategory( $category) | eZProduct |
expiryTime() | eZProduct |
extendedSearch( $priceLower, $priceHigher, $text, $offset=0, $limit=10, $categoryArrayID=array()) | eZProduct |
extendedSearchCount( $priceLower, $priceHigher, $text, $categoryArrayID=array()) | eZProduct |
externalLink() | eZProduct |
extractVAT( $price="") | eZProduct |
files( $as_object=true) | eZProduct |
findProductNumber( $id) | eZProduct |
flatCombine() | eZProduct |
flatUps() | eZProduct |
flatUsps() | eZProduct |
forms( $as_object=true) | eZProduct |
forum( $as_object=true) | eZProduct |
get( $id="", $categoryID=false) | eZProduct |
getByRemoteID( $id) | eZProduct |
hasOptions() | eZProduct |
hasPrice() | eZProduct |
hasQuantity( $require=true, $id=false) | eZProduct | static
hotDealProducts( $limit=false) | eZProduct |
id() | eZProduct |
images() | eZProduct |
includesVAT() | eZProduct |
isHotDeal() | eZProduct |
keywords() | eZProduct |
listPrice() | eZProduct |
localePrice( $calcVAT, $withPriceGroups=true) | eZProduct |
localeSavings( $calcVAT) | eZProduct |
mainImage() | eZProduct |
name() | eZProduct |
namedQuantity( $quantity) | eZProduct | static
options() | eZProduct |
price() | eZProduct |
priceExVAT( $price="", $calcVAT=true) | eZProduct |
priceIncVAT( $price="") | eZProduct |
priceRange( $id=false) | eZProduct |
productIDFromForum( $ForumID) | eZProduct |
productName( $id) | eZProduct |
productNumber() | eZProduct |
products( $sortMode="time", $fetchNonActive=false, $offset=0, $limit=50, $fetchDiscontinued=false, $categoryID=false) | eZProduct |
productType( $price="") | eZProduct |
remoteID() | eZProduct |
removeFromCategories() | eZProduct |
removeType() | eZProduct |
setBoxType( $type) | eZProduct |
setBrief( $value) | eZProduct |
setCatalogNumber( $value) | eZProduct |
setCategoryDefinition( $value) | eZProduct |
setContents( $value) | eZProduct |
setDescription( $value) | eZProduct |
setDiscontinued( $value) | eZProduct |
setExpiryTime( $time) | eZProduct |
setExternalLink( $value) | eZProduct |
setFlatCombine( $value) | eZProduct |
setFlatUPS( $value) | eZProduct |
setFlatUSPS( $value) | eZProduct |
setIncludesVAT( $inValue=true) | eZProduct |
setIsHotDeal( $value) | eZProduct |
setKeywords( $value) | eZProduct |
setListPrice( $value) | eZProduct |
setMainImage( $image) | eZProduct |
setName( $value) | eZProduct |
setPrice( $value) | eZProduct |
setProductNumber( $value) | eZProduct |
setProductType( $type=1) | eZProduct |
setRemoteID( $remoteID) | eZProduct |
setShippingGroup( $group) | eZProduct |
setShowPrice( $value) | eZProduct |
setShowProduct( $value) | eZProduct |
setStockDate( $time) | eZProduct |
setThumbnailImage( $image) | eZProduct |
setTotalQuantity( $quantity) | eZProduct |
setType( $type) | eZProduct |
setVATType( $type) | eZProduct |
setWeight( $value) | eZProduct |
shippingGroup() | eZProduct |
showPrice() | eZProduct |
showProduct() | eZProduct |
stockDate() | eZProduct |
store() | eZProduct |
thumbnailImage() | eZProduct |
totalQuantity( $id=false) | eZProduct | static
type() | eZProduct |
vat( $price="") | eZProduct |
vatPercentage() | eZProduct |
vatType() | eZProduct |
voucher() | eZProduct |
voucherInformation() | eZProduct |
weight() | eZProduct |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.